Bug 205006 - TB3fa42680 threading.py:532:join:AssertionError: cannot join current thread
TB3fa42680 threading.py:532:join:AssertionError: cannot join current thread
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-02 00:28 EDT by Aidan Amavi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 03:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aidan Amavi 2006-09-02 00:28:12 EDT
Description of problem:
YumEx - Bug Report on attempt to close program while refreshing output. 

Version-Release number of selected component (if applicable):
1.0.2

How reproducible:
First encounter.

Steps to Reproduce:
1. Open YumEx in X Server
2. Attempt to close while updating Output
3.
  
Actual results:
Component: yumex
Version: 1.0.2
Summary: TB3fa42680 threading.py:532:join:AssertionError: cannot join current thread

Traceback (most recent call last):
  File "/usr/lib/python2.4/atexit.py", line 24, in _run_exitfuncs
    func(*targs, **kargs)
  File "/usr/lib/python2.4/threading.py", line 632, in __exitfunc
    self._note("%s: waiting for other threads", self)
  File "/usr/lib/python2.4/threading.py", line 532, in join
    assert self is not currentThread(), "cannot join current thread"
AssertionError: cannot join current thread

Local variables in innermost frame:
self: <BackgroundRunner(Thread-4, started)>
timeout: None


Expected results:
Clean closing of program.

Additional info:
Comment 1 Tim Lauridsen 2006-09-06 03:40:26 EDT
This is an error that can occour when quiting yumex while running the some action 
i a backgrond Thread, it dont think i can do anything about it.

Note You need to log in before you can comment on or make changes to this bug.